io.vertx.kafka.admin

## Interface KafkaAdminClient

-     public interface KafkaAdminClient

  Vert.x Kafka Admin client implementation

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `alterConfigs(Map<ConfigResource,Config> configs, Handler<AsyncResult<Void>> completionHandler)` Update the configuration for the specified resources with the default options
    `void` | `close()` Close the admin client
    `void` | `close(Handler<AsyncResult<Void>> completionHandler)` Close the admin client
    `void` | `close(long timeout, Handler<AsyncResult<Void>> completionHandler)` Close the admin client
    `static KafkaAdminClient` | `create(Vertx vertx, org.apache.kafka.clients.admin.AdminClient adminClient)` Create a new KafkaAdminClient instance
    `static KafkaAdminClient` | `create(Vertx vertx, Map<String,String> config)` Create a new KafkaAdminClient instance
    `static KafkaAdminClient` | `create(Vertx vertx, Properties config)` Create a new KafkaAdminClient instance
    `void` | `createTopics(List<NewTopic> topics, Handler<AsyncResult<Void>> completionHandler)` Creates a batch of new Kafka topics
    `void` | `deleteTopics(List<String> topicNames, Handler<AsyncResult<Void>> completionHandler)` Deletes a batch of Kafka topics
    `void` | `describeConfigs(List<ConfigResource> configResources, Handler<AsyncResult<Map<ConfigResource,Config>>> completionHandler)` Get the configuration for the specified resources with the default options
    `void` | `describeConsumerGroups(List<String> groupIds, Handler<AsyncResult<Map<String,ConsumerGroupDescription>>> completionHandler)` Describe some group ids in the cluster, with the default options
    `void` | `describeTopics(List<String> topicNames, Handler<AsyncResult<Map<String,TopicDescription>>> completionHandler)` Describe some topics in the cluster, with the default options.
    `void` | `listConsumerGroups(Handler<AsyncResult<List<ConsumerGroupListing>>> completionHandler)` Get the the consumer groups available in the cluster with the default options
    `void` | `listTopics(Handler<AsyncResult<Set<String>>> completionHandler)` List the topics available in the cluster with the default options.

- - ### Method Detail

    - #### create

          static KafkaAdminClient create(Vertx vertx,
                                         org.apache.kafka.clients.admin.AdminClient adminClient)

      Create a new KafkaAdminClient instance
      Parameters:
        `vertx` - Vert.x instance to use
        `adminClient` - Kafka native Admin client instance
      Returns:
        an instance of the KafkaAdminClient

    - #### create

          static KafkaAdminClient create(Vertx vertx,
                                         Map<String,String> config)

      Create a new KafkaAdminClient instance
      Parameters:
        `vertx` - Vert.x instance to use
        `config` - Kafka admin client configuration
      Returns:
        an instance of the KafkaAdminClient

    - #### create

          static KafkaAdminClient create(Vertx vertx,
                                         Properties config)

      Create a new KafkaAdminClient instance
      Parameters:
        `vertx` - Vert.x instance to use
        `config` - Kafka admin client configuration
      Returns:
        an instance of the KafkaAdminClient

    - #### listTopics

          void listTopics(Handler<AsyncResult<Set<String>>> completionHandler)

      List the topics available in the cluster with the default options.
      Parameters:
        `completionHandler` - handler called on operation completed with the topics set

    - #### describeTopics

          void describeTopics(List<String> topicNames,
                              Handler<AsyncResult<Map<String,TopicDescription>>> completionHandler)

      Describe some topics in the cluster, with the default options.
      Parameters:
        `topicNames` - the names of the topics to describe
        `completionHandler` - handler called on operation completed with the topics descriptions

    - #### createTopics

          void createTopics(List<NewTopic> topics,
                            Handler<AsyncResult<Void>> completionHandler)

      Creates a batch of new Kafka topics
      Parameters:
        `topics` - topics to create
        `completionHandler` - handler called on operation completed

    - #### deleteTopics

          void deleteTopics(List<String> topicNames,
                            Handler<AsyncResult<Void>> completionHandler)

      Deletes a batch of Kafka topics
      Parameters:
        `topicNames` - the names of the topics to delete
        `completionHandler` - handler called on operation completed

    - #### describeConfigs

          void describeConfigs(List<ConfigResource> configResources,
                               Handler<AsyncResult<Map<ConfigResource,Config>>> completionHandler)

      Get the configuration for the specified resources with the default options
      Parameters:
        `configResources` - the resources (topic and broker resource types are currently supported)
        `completionHandler` - handler called on operation completed with the configurations

    - #### alterConfigs

          void alterConfigs(Map<ConfigResource,Config> configs,
                            Handler<AsyncResult<Void>> completionHandler)

      Update the configuration for the specified resources with the default options
      Parameters:
        `configs` - The resources with their configs (topic is the only resource type with configs that can be updated currently)
        `completionHandler` - handler called on operation completed

    - #### listConsumerGroups

          void listConsumerGroups(Handler<AsyncResult<List<ConsumerGroupListing>>> completionHandler)

      Get the the consumer groups available in the cluster with the default options
      Parameters:
        `completionHandler` - handler called on operation completed with the consumer groups ids

    - #### describeConsumerGroups

          void describeConsumerGroups(List<String> groupIds,
                                      Handler<AsyncResult<Map<String,ConsumerGroupDescription>>> completionHandler)

      Describe some group ids in the cluster, with the default options
      Parameters:
        `groupIds` - the ids of the groups to describe
        `completionHandler` - handler called on operation completed with the consumer groups descriptions

    - #### close

          void close()

      Close the admin client

    - #### close

          void close(Handler<AsyncResult<Void>> completionHandler)

      Close the admin client
      Parameters:
        `completionHandler` - handler called on operation completed

    - #### close

          void close(long timeout,
                     Handler<AsyncResult<Void>> completionHandler)

      Close the admin client
      Parameters:
        `timeout` - timeout to wait for closing
        `completionHandler` - handler called on operation completed

Copyright © 2020 Eclipse. All rights reserved.